class Loudspeaker
{
  Loudspeaker getThis()
  {
    return this;
  }
}

class BigBassLoudspeaker extends Loudspeaker
{
  @Override
  BigBassLoudspeaker getThis()
//  Loudspeaker getThis()
  {
    return this;
  }
}
